package data;

import java.time.Duration;
import java.util.Collection;
import java.util.Date;
import java.util.HashSet;

public class SongList {
    private HashSet<SongInfo> songs;
    private String name;

    public SongList() {

    }

    public HashSet<SongInfo> getSongs() {
        return songs;
    }

    public void setSongs(HashSet<SongInfo> songs) {
        this.songs = songs;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addSong(String songName, Duration songTime){
        songs.add(new SongInfo(songName,songTime));
    }
}

class SongInfo{
    private String songName;
    private Duration songTime;
    public SongInfo(){

    }
    public SongInfo(String songName, Duration songTime){
        this.songName = songName;
        this.songTime = songTime;
    }
}
