package menu.demo;

import app.ConcertSystem;
import menu.RootMenu;

import java.lang.reflect.Method;

public class StringMenu extends RootMenu {
    @Override
    public int action() {
        ConcertSystem.menuStack.push(this);
        String[] strings = {"字符串操作",
                "返回"};
        String[] methods = {"stringOperator"};

        for (int i = 1; i <= strings.length; i++) {
            System.out.println("> " + i + "." + strings[i-1]);
        }
        int methodCount = strings.length;// 包括了 返回 这个操作，如果是选择返回 下面因为没有对应的方法会异常，也就退出了
        int tag = scanner.nextInt(1,methodCount);
        try {
            StringMenu my = new StringMenu();
            Method currentMethod = StringMenu.class.getMethod(methods[tag-1]);
            currentMethod.invoke(my);
        } catch (Exception e) {
//            System.out.println("> 没有这个方法案例或其它异常!!!!!");
        }
        ConcertSystem.menuStack.pop();
        return tag == methodCount ? 0 : tag;
    }
    public void stringOperator() {
        System.out.println("-----------------------------------------");
        System.out.println("> 场景：字符串的一些常用操作方法");

        String id = "   BT01", id1 = "df02";
        System.out.println("> 假定一片电池从BT01上线，定义字符串: (" + id +")");
        System.out.println("> trim()去除多余空格: (" + (id = id.trim()) + ")\t\ttrim()");
        System.out.println("> charAt()索引为 3 的字符: " + id.charAt(3) + "\t\tcharAt()");
        System.out.println("> 下一道工序字符串: (" + id1 + ")");
        System.out.println("> toUpperCase()转大写: (" + id1.toUpperCase() + ")\t\ttoUpperCase()");
        System.out.println("> concat()连接工序: (" + (id = id.concat(id1.toUpperCase())) + ")\t\tconcat()");
        System.out.println("> substring()获取第一道工序信息: (" + id.substring(0,4) + ")\t\tsubstring()");
        System.out.println("> replaceFirst()修改第一道工序的上线位置: (" + id.replaceFirst("01","08") + ")\t\treplaceFirst()");
        System.out.println();
    }
}
