package tool;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Scanner;

public class MyCalendar {
//    private static MyCalendar myCalendar;
    private Calendar calendar = Calendar.getInstance();
    private Date date = null;
    private int month;
    public MyCalendar(int year, int month) {
        SimpleDateFormat sf = new SimpleDateFormat("yyyyMMdd");
        String str = String.format("%04d%02d01",year,month);
        try{
            date = sf.parse(str);
            calendar.setTime(date);
            System.out.println("> 当前月为 " + calendar.get(Calendar.YEAR) + "年 "
                    + (calendar.get(Calendar.MONTH) + 1) + "月\t\tString.parse()\tCalendar.setTime()");
            this.month = month;
        }catch (ParseException e){
            e.printStackTrace();
        }
    }
    public static void CalendarDisplayTest() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入年：");
        int year = scanner.nextInt();
        System.out.println("请输入月：");
        int month = scanner.nextInt();

        MyCalendar myCalendar = new MyCalendar(year, month);
        myCalendar.display();
    }
//    public static MyCalendar getCalendar(int year, int month) {
//        if (myCalendar == null) {
//            synchronized(MyCalendar.class) {
//                if (myCalendar == null) {
//                    myCalendar = new MyCalendar(year, month);
//                    MyCalendar.month = month;
//                }
//            }
//        }
//        return myCalendar;
//    }
    public void display() {
        System.out.println("日\t一\t二\t三\t四\t五\t六");
        int blank = calendar.get(java.util.Calendar.DAY_OF_WEEK);
        for(int i = 1; i < blank; i++) {
            System.out.print(" \t");
        }
        while(calendar.get(java.util.Calendar.MONTH) + 1 ==  this.month) {
            int weekday = calendar.get(java.util.Calendar.DAY_OF_WEEK);
            System.out.print(calendar.get(java.util.Calendar.DATE) + "\t");
            if(weekday == 7) {
                System.out.print("\n");
            }
            calendar.add(java.util.Calendar.DATE,1);
        }
        System.out.print("\n> Calendar.DAY_OF_WEEK\t Calendar.DATE\t Calendar.MONTH \n");
    }
    public boolean isLeapYear(int year) {
        if (year % 4 == 0) {
            if (year % 100 == 0) {
                if (year % 400 == 0) {
                    return true; // 能被400整除的年份是闰年
                }
                return false; // 能被100整除但不能被400整除的年份不是闰年
            }
            return true; // 能被4整除但不能被100整除的年份是闰年
        }
        return false; // 不能被4整除的年份不是闰年
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}