package tool;

import java.util.Stack;

public class MyStack<T> extends Stack<T> {
    @Override
    public synchronized T pop() {
        T item = super.pop();
        System.out.println("> 已弹出 " + item.getClass().getSimpleName() + " 页面并完成 出栈 操作");
        return item;
    }

    @Override
    public synchronized T peek() {
        return super.peek();
    }

    @Override
    public T push(T item) {
        System.out.println("> 已创建 " + item.getClass().getSimpleName() + " 页面并完成 入栈 操作");
        return super.push(item);
    }

    @Override
    public synchronized String toString() {
        return super.toString();
    }
}
