package menu;

import app.ConcertSystem;
import tool.MyScanner;
import user.Developer;

public class DeveloperMenu extends RootMenu{
    @Override
    public int action() {
        MyScanner scanner = new MyScanner();
        Developer user = (Developer) ConcertSystem.getCurrentUser();
        System.out.println(ConcertSystem.getCurrentUser().getActionList());
        int tag = scanner.nextInt(1,ConcertSystem.getCurrentUser().getActionCount());
        switch (tag) {
            case 1:
                JavaDemoMenu javaDemoMenu = new JavaDemoMenu();
                while (javaDemoMenu.action() != 0) {

                }
                break;
            case 2:
                System.out.println("------------------------------所有用户----------------------------------");
                user.viewUserMap();
                System.out.println("-----------------------------------------------------------------------");
                break;
            case 3:
                System.out.println("------------------------------个人信息----------------------------------");
                System.out.println(user); //查看个人信息
                System.out.println("-----------------------------------------------------------------------");
                break;
            case 4: {
                user.modifyPassword();
                break;
            }
            case 5:
                user.updataInitialInfo();
                break;
            case 6:
                user.refreshUserMap();
                break;
            case 7:
                user.clearUser();
                ConcertSystem.localDataBase.outputDataBase();//保持数据同步
                break;
            case 8:
                System.out.println("> " +  user.getRole() + " " + user.getName() + "已登出");
                break;
        }
        ConcertSystem.menuStack.pop();
        return tag == 8 ? 0 : tag;
    }
}
