package menu;

import app.ConcertSystem;
import user.User;

public class LoginMenu extends RootMenu{
    private String id;
    private String password;
    @Override
    public int action() {
        int success = -1;
        getId();
        getPassword();
        if (verifyIdPassword()) {
            success = 1;
            User user = ConcertSystem.localDataBase.getUserMap().get(id);
            System.out.println("> 用户 " + user.getName() + " 已使用 " + user.getRole() + " 身份登录成功！");
            ConcertSystem.setCurrentUser(user);
        }
        ConcertSystem.menuStack.pop();
        return success;
    }

    public void getId() {
        System.out.println("> 请输入id:");
        id = scanner.next();
    }

    public void getPassword() {
        System.out.println("> 请输入密码:");
        password = scanner.next();
    }
    public boolean verifyIdPassword() {
        if (!ConcertSystem.localDataBase.getUserMap().containsKey(id)) {
            System.out.println("> id不存在，请重试！");
            return false;
        } else if (!ConcertSystem.localDataBase.getUserMap().get(id).getPassword().equals(password)) {
            System.out.println("> 密码错误，请重试！");
            return false;
        } else {
            System.out.println("> 验证通过！");
            return true;
        }
    }
}
