package menu;

import app.ConcertSystem;
import user.Administer;
import user.Developer;
import user.GeneralUser;
import user.User;

public class RegisterMenu extends RootMenu{
    private String id;
    private String password;
    @Override
    public int action() {
        while (!getId()) {
            System.out.println("> 用户id已存在，请重试！");
        }
        while (!getPassword()) {
            System.out.println("> 两次密码不一致，请重试！");
        }
        System.out.println("> 请选择身份: 1.开发者 2.管理员 3.普通用户");
        int roleId = scanner.nextInt(1,3,"> 请选择身份: 1.开发者 2.管理员 3.普通用户");
        User user = null;
        if (roleId == 1) {
            user = new Developer(id, password);
        } else if (roleId == 2) {
            user = new Administer(id, password);
        } else {
            user = new GeneralUser(id, password);
        }

        ConcertSystem.localDataBase.putUser(user);
        ConcertSystem.setCurrentUser(user);
        System.out.println("> 用户id: " + (user).getId() + " 注册成功!");
        System.out.println("> 文件数据库更新完成！");
        ConcertSystem.menuStack.pop();
        return 1;
    }
    public boolean getId() {
        System.out.println("> 请输入id:");
        id = scanner.next();
        return !ConcertSystem.localDataBase.getUserMap().containsKey(id);
    }

    public boolean getPassword() {
        String password1 = null;
        System.out.println("> 请输入密码:");
        password = scanner.next();
        System.out.println("> 请重新输入密码:");
        password1 = scanner.next();
        return password.equals(password1);
    }
}
