package menu.demo;

import app.ConcertSystem;
import menu.RootMenu;
import tool.MyCalendar;

import java.lang.reflect.Method;

public class DateMenu extends RootMenu {
    @Override
    public int action() {
        ConcertSystem.menuStack.push(this);
        String[] strings = {"打印万年历",
                "返回"};
        String[] methods = {"displayCalender"};

        for (int i = 1; i <= strings.length; i++) {
            System.out.println("> " + i + "." + strings[i-1]);
        }
        int methodCount = strings.length;// 包括了 返回 这个操作，如果是选择返回 下面因为没有对应的方法会异常，也就退出了
        int tag = scanner.nextInt(1,methodCount);
        try {
            DateMenu my = new DateMenu();
            Method currentMethod = DateMenu.class.getMethod(methods[tag-1]);
            currentMethod.invoke(my);
        } catch (Exception e) {
//            System.out.println("> 没有这个方法案例或其它异常!!!!!");
        }
        ConcertSystem.menuStack.pop();
        return tag == methodCount ? 0 : tag;
    }
    public void displayCalender() {
        System.out.println("> ---------------------------------------");
        System.out.println("> --------------输出日历-------------------");
        System.out.println("> 请输入年份，最多9999");
        int year = scanner.nextInt(1, 9999);
        System.out.println("> 请输入月份");
        int month = scanner.nextInt(1, 12);
        MyCalendar myCalendar = new MyCalendar(year, month);
        myCalendar.display();
    }
}
