package menu.demo;

import app.ConcertSystem;
import menu.RootMenu;

import java.io.*;
import java.lang.reflect.Method;

public class IoMenu extends RootMenu {
    @Override
    public int action() {
        ConcertSystem.menuStack.push(this);
        String[] strings = {"写读操作",
                "返回"};
        String[] methods = {"writeReadStream"};

        for (int i = 1; i <= strings.length; i++) {
            System.out.println("> " + i + "." + strings[i-1]);
        }
        int methodCount = strings.length;// 包括了 返回 这个操作，如果是选择返回 下面因为没有对应的方法会异常，也就退出了
        int tag = scanner.nextInt(1,methodCount);
        try {
            IoMenu my = new IoMenu();
            Method currentMethod = IoMenu.class.getMethod(methods[tag-1]);
            currentMethod.invoke(my);
        } catch (Exception e) {
//            System.out.println("> 没有这个方法案例或其它异常!!!!!");
        }
        ConcertSystem.menuStack.pop();
        return tag == methodCount ? 0 : tag;
    }
    public void writeReadStream() {
        System.out.println("-----------------------------------------");
        System.out.println("> 场景：输出读入文本文件");
        try (BufferedWriter writer = new BufferedWriter(new FileWriter("./writeReadFile.txt"))) {
            writer.write("tag-浙江爱旭太阳能电池MES部");
            System.out.println("> 输出到文件的内容: tag-浙江爱旭太阳能电池MES部\t\tBufferedWriter.write()");
        } catch (IOException e) {
            e.printStackTrace();
        }
        try (BufferedReader reader = new BufferedReader(new FileReader("writeReadFile.txt"))) {
            String line;
            while ((line = reader.readLine()) != null) {
                System.out.println("> 读取到的文件内容: " + line + "\t\tBufferedReader.readLine()\n");
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
