package menu.demo;

import app.ConcertSystem;
import menu.RootMenu;

import java.lang.reflect.Method;

public class ReflectMenu extends RootMenu {
    @Override
    public int action() {
        ConcertSystem.menuStack.push(this);
        String[] strings = {"获取类信息",
                "返回"};
        String[] methods = {"getClassInfo"};

        for (int i = 1; i <= strings.length; i++) {
            System.out.println("> " + i + "." + strings[i-1]);
        }
        int methodCount = strings.length;// 包括了 返回 这个操作，如果是选择返回 下面因为没有对应的方法会异常，也就退出了
        int tag = scanner.nextInt(1,methodCount);
        try {
            ReflectMenu my = new ReflectMenu();
            Method currentMethod = ReflectMenu.class.getMethod(methods[tag-1]);
            currentMethod.invoke(my);
        } catch (Exception e) {
//            System.out.println("> 没有这个方法案例或其它异常!!!!!");
        }
        ConcertSystem.menuStack.pop();
        return tag == methodCount ? 0 : tag;
    }

    public void getClassInfo() {
        System.out.println("> ------------------------------------------");
        Class clazz = String.class;
        System.out.println("> 用一个类定义了一个对象");
        System.out.println("> 该类的简单名称为: " + clazz.getSimpleName() + "\t\tgetSimpleName()");
        System.out.println("> 该类的全限定名称为: " + clazz.getName() + "\t\tgetName()");
        System.out.println("> 该类的父类为: " + clazz.getSuperclass().getName() + "\t\tgetSuperclass().getName()");
        System.out.println("> 该类的接口为: " + clazz.getInterfaces().getClass().getName() + "\t\tgetInterfaces().getClass().getName()");
        Method[] methods = clazz.getMethods();
        System.out.println("> 该类的方法列表: \t\tforeach-getMethods()");
        int count = 0;
        System.out.print("> ");
        for(Method method : methods) {
            count++;
            System.out.print(method.getName()+"()\t");
            if(count % 10 == 0) {
                System.out.print("\n> ");
            }
        }
        System.out.println();
        try {
            System.out.println("> 获取该类中名为toString()的方法:\t" + clazz.getMethod("toString") + "\t\tgeMethod(\"toString\")");
        }catch (Exception e) {

        }
    }
}
